### Method

# EDataCal CalCache search

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_cache_search (
      ECalCache* cal_cache,
      const gchar* sexp,
      GSList** out_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Searches the `cal_cache` with the given `sexp` and returns those components which satisfy the search expression as a `GSList` of `ECalCacheSearchData`. The `out_data` should be freed with g_slist_free_full (data, e_cal_cache_search_data_free); when no longer needed.

Available since: 3.26

#### Parameters

`sexp`

  Type: `const gchar*`

  Search expression; use `NULL` or an empty string to list all stored components.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_data`

  Type: A list of `None`

  Stored components, as search data, satisfied by `sexp`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.